[android-components](../../index.md) / [mozilla.components.feature.intent.processing](../index.md) / [TabIntentProcessor](index.md) / [process](./process.md)

# process

`suspend fun process(intent: <ERROR CLASS>): `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/intent/src/main/java/mozilla/components/feature/intent/processing/TabIntentProcessor.kt#L94)

Overrides [IntentProcessor.process](../-intent-processor/process.md)

Processes the given intent by invoking the registered handler.

### Parameters

`intent` - the intent to process

**Return**
true if the intent was processed, otherwise false.

